[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

shmat failure on upgrade to kernel 2.6.3

I running unstable with kernel 2.6.3.  After upgrading from 2.6.2, I
notice several applications providing warnings or errors on startup
having to do with shmat.  For example, gnome applications print:

  Gdk-WARNING **: shmat failed: error 22 (Invalid argument)

but seem to run anyway.  When running aplay:

  ALSA lib pcm_mmap.c:368:(snd_pcm_mmap) shmat failed: Invalid argument

and it fails.

I did not notice this problem with 2.6.2.

Any ideas?  Is this a libc incompatibility or a kernel configuration

Jean Pierre

Reply to: